Public Member Functions | Data Fields

# CanalScopeResolver Struct Reference

Scope resolver of a canal tile. More...

Inheritance diagram for CanalScopeResolver:

## Public Member Functions
| CanalScopeResolver (ResolverObject &ro, TileIndex tile)
uint32 | GetRandomBits () const
| Get a few random bits.
uint32 | GetVariable (byte variable, uint32 parameter, bool *available) const
| Get a variable value.
## Data Fields
TileIndex | tile
| Tile containing the canal.

## Detailed Description

Scope resolver of a canal tile.

Definition at line 23 of file newgrf_canal.cpp.

## Member Function Documentation

uint32 CanalScopeResolver::GetRandomBits | ( |  | ) | const`[virtual]`

Get a few random bits.

Default implementation has no random bits.

Returns:
  Random bits.

Reimplemented from ScopeResolver.

Definition at line 50 of file newgrf_canal.cpp.

References GetWaterTileRandomBits(), IsTileType(), MP_WATER, and tile.

uint32 CanalScopeResolver::GetVariable | ( | byte | variable,
|  | uint32 | parameter,
|  | bool * | available |
| ) |  |  | const`[virtual]`

Get a variable value.

Default implementation has no available variables.

Parameters:

  | variable | Variable to read
  | parameter | Parameter for 60+x variables
  `[out]` | available | Set to false, in case the variable does not exist.

Returns:
  Value

Reimplemented from ScopeResolver.

Definition at line 56 of file newgrf_canal.cpp.

References DEBUG, DIR_E, DIR_N, DIR_NE, DIR_NW, DIR_S, DIR_SE, DIR_SW, DIR_W, GetLockPart(), GetTerrainType(), GetTileZ(), GetWaterTileRandomBits(), IsLock(), IsTileType(), IsWateredTile(), LOCK_PART_UPPER, MP_WATER, tile, and TILE_ADDXY.

The documentation for this struct was generated from the following file:

- src/newgrf_canal.cpp